## ros-rolling-marti-dbw-msgs 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(marti_dbw_msgs)

set(CMAKE_CXX_STANDARD 14)

set(MSG_DEPS 
  builtin_interfaces 
  std_msgs)

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(std_msgs REQUIRED)

### Message Generation ###
set(MSG_FILES
  msg/PrimaryControl.msg
  msg/PrimaryFeedback.msg
  msg/TransmissionFeedback.msg)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${MSG_FILES}
  DEPENDENCIES ${MSG_DEPS}
)

install(DIRECTORY include/
  DESTINATION include
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-rolling-marti-dbw-msgs (1.3.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Matthew Bries <mbries@swri.org>  Wed, 17 Nov 2021 19:37:12 -0000

ros-rolling-marti-dbw-msgs (1.2.0-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Thu, 19 Nov 2020 00:00:00 -0000

ros-rolling-marti-dbw-msgs (1.1.0-1focal) focal; urgency=high

  * Add marti dbw msgs (ROS2) (#107 <https://github.com/swri-robotics/marti_messages/issues/107>)
  * Contributors: P. J. Reed, Matthew Bries

 -- Matthew Bries <mbries@swri.org>  Wed, 10 Jun 2020 00:00:00 -0000

ros-rolling-marti-dbw-msgs (1.0.0-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.8.0-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Fri, 19 Oct 2018 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.7.0-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Tue, 09 Oct 2018 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.6.0-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Thu, 24 May 2018 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.5.0-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Thu, 05 Apr 2018 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.4.0-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Wed, 08 Nov 2017 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.3.0-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Thu, 28 Sep 2017 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.2.0-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Tue, 29 Aug 2017 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.1.0-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Tue, 15 Aug 2017 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.9-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Mon, 08 May 2017 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.8-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Sat, 18 Mar 2017 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.7-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Mon, 06 Feb 2017 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.6-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Sun, 23 Oct 2016 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.5-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Sun, 14 Aug 2016 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.4-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Fri, 20 May 2016 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.3-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Fri, 11 Mar 2016 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.2-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Fri, 04 Mar 2016 00:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.1-1focal) focal; urgency=high



 -- Matthew Bries <mbries@swri.org>  Tue, 22 Sep 2015 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-marti-dbw-msgs
Section: misc
Priority: optional
Maintainer: Matthew Bries <mbries@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-marti-dbw-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: marti_dbw_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-marti-dbw-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-marti-dbw-msgs 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,17 @@
 cmake_minimum_required(VERSION 3.10)
 project(marti_dbw_msgs)
 
-set(CMAKE_CXX_STANDARD 14)
+# Default to C++ version appropriate for the ROS distribution
+if(NOT CMAKE_CXX_STANDARD)
+  if ("$ENV{ROS_DISTRO}" STRGREATER "foxy")
+    set(CMAKE_CXX_STANDARD 17)
+  else()
+    set(CMAKE_CXX_STANDARD 14)
+  endif()
+endif()
+if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+  add_compile_options(-Wall -Wextra -Wpedantic)
+endif()
 
 set(MSG_DEPS 
   builtin_interfaces 
@@ -23,10 +33,41 @@
   DEPENDENCIES ${MSG_DEPS}
 )
 
-install(DIRECTORY include/
-  DESTINATION include
-)
+if("$ENV{ROS_DISTRO}" STRGREATER "galactic")
+  rosidl_get_typesupport_target(
+    cpp_typesupport_target
+    "${PROJECT_NAME}"
+    "rosidl_typesupport_cpp")
+
+
+  if(cpp_typesupport_target)
+    add_library(${PROJECT_NAME}_library INTERFACE)
+    target_include_directories(${PROJECT_NAME}_library INTERFACE
+    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
+    "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
+    target_link_libraries(${PROJECT_NAME}_library INTERFACE
+    "${cpp_typesupport_target}")
+
+    install(DIRECTORY include/
+      DESTINATION include/${PROJECT_NAME}
+    )
+    install(
+      TARGETS ${PROJECT_NAME}_library EXPORT export_${PROJECT_NAME}
+    )
+
+    # Export old-style CMake variables
+    ament_export_include_directories("include/${PROJECT_NAME}")
+
+    # Export modern CMake targets
+    ament_export_targets(export_${PROJECT_NAME})
+  endif()
+else()
+  install(DIRECTORY include/${PROJECT_NAME}/
+    DESTINATION include/${PROJECT_NAME}
+  )
+  ament_export_include_directories(include)
+endif()
 
 ament_export_dependencies(rosidl_default_runtime)
+
 ament_package()
-

=== debian/changelog ===
ros-rolling-marti-dbw-msgs (1.5.1-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 11 Sep 2023 05:00:00 -0000

ros-rolling-marti-dbw-msgs (1.5.0-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 22 Aug 2023 05:00:00 -0000

ros-rolling-marti-dbw-msgs (1.4.1-1jammy) jammy; urgency=high

  * Adding missing include for std::string constants (#126 <https://github.com/swri-robotics/marti_messages/issues/126>)
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 03 May 2023 05:00:00 -0000

ros-rolling-marti-dbw-msgs (1.2.0-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Thu, 19 Nov 2020 06:00:00 -0000

ros-rolling-marti-dbw-msgs (1.1.0-1jammy) jammy; urgency=high

  * Add marti dbw msgs (ROS2) (#107 <https://github.com/swri-robotics/marti_messages/issues/107>)
  * Contributors: P. J. Reed, Matthew Bries

 -- Matthew Bries <mbries@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-rolling-marti-dbw-msgs (1.0.0-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Fri, 04 Oct 2019 05:00:00 -0000

ros-rolling-marti-dbw-msgs (0.8.0-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-rolling-marti-dbw-msgs (0.7.0-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-rolling-marti-dbw-msgs (0.6.0-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Thu, 24 May 2018 05:00:00 -0000

ros-rolling-marti-dbw-msgs (0.5.0-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Thu, 05 Apr 2018 05:00:00 -0000

ros-rolling-marti-dbw-msgs (0.4.0-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Wed, 08 Nov 2017 06:00:00 -0000

ros-rolling-marti-dbw-msgs (0.3.0-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Thu, 28 Sep 2017 05:00:00 -0000

ros-rolling-marti-dbw-msgs (0.2.0-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Tue, 29 Aug 2017 05:00:00 -0000

ros-rolling-marti-dbw-msgs (0.1.0-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Tue, 15 Aug 2017 05:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.9-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.8-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Sat, 18 Mar 2017 05:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.7-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Mon, 06 Feb 2017 06:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.6-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.5-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.4-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.3-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Fri, 11 Mar 2016 06:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.2-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-rolling-marti-dbw-msgs (0.0.1-1jammy) jammy; urgency=high



 -- Matthew Bries <mbries@swri.org>  Tue, 22 Sep 2015 05:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-rolling-marti-dbw-msgs
 Section: misc
 Priority: optional
-Maintainer: Matthew Bries <mbries@swri.org>
+Maintainer: Southwest Research Institute <swri-robotics@swri.org>
 Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
